
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C++中强制转换函数总结 / iVAN</title>

    <meta name="description" content="C++中强制转换函数总结 标准c++中主要有四种强制转换类型运算符: const_cast,reinterpret_cast,static_cast,dynamic_cast等等. 1)static_cast&lt;T*&gt;(a) 将地址a转换成类型T,T和a必须是指针.引用.算术类型或枚举类型. 表达式static_cast&lt;T*&gt;(a),a的值转换为模板中指定的类型T.在运行时转换过程中,不进行类型检查来确保转换的安全性. 例子: class B { ... }; class D : public B ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">C++中强制转换函数总结</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>标准c++中主要有四种强制转换类型运算符：</p>
<p>const_cast，reinterpret_cast，static_cast，dynamic_cast等等。</p>
<p>1）static_cast&lt;T*&gt;（a）</p>
<p>将地址a转换成类型T，T和a必须是指针、引用、算术类型或枚举类型。</p>
<p>表达式static_cast&lt;T*&gt;（a），a的值转换为模板中指定的类型T.在运行时转换过程中，不进行类型检查来确保转换的安全性。</p>
<p>例子：</p>
<p><code>class B { ... };<br />
class D : public B { ... };<br />
void f(B* pb, D* pd)<br />
{<br />
D* pd2 = static_cast&lt;D*&gt;(pb);　// 不安全, pb可能只是B的指针</p>
<p>B* pb2 = static_cast&lt;B*&gt;(pd);　// 安全的<br />
...<br />
}<br />
class B { ... };<br />
class D : public B { ... };<br />
void f(B* pb, D* pd)<br />
{<br />
D* pd2 = static_cast&lt;D*&gt;(pb);　// 不安全, pb可能只是B的指针</p>
<p>B* pb2 = static_cast&lt;B*&gt;(pd);　// 安全的<br />
...<br />
}</p>
<p>class B { ... };<br />
class D : public B { ... };<br />
void f(B* pb, D* pd)<br />
{<br />
D* pd2 = static_cast&lt;D*&gt;(pb);　// 不安全, pb可能只是B的指针</p>
<p>B* pb2 = static_cast&lt;B*&gt;(pd);　// 安全的<br />
...<br />
}</code></p>
<p>2）dynamic_cast&lt;T*&gt;（a）</p>
<p>完成类层次结构中的提升。T必须是一个指针、引用或无类型的指针。a必须是决定一个指针或引用的表达式。</p>
<p>表达式dynamic_cast&lt;T*&gt;（a） 将a值转换为类型为T的对象指针。如果类型T不是a的某个基类型，该操作将返回一个空指针。</p>
<p>例子：</p>
<p><code>class A { ... };<br />
class B { ... };<br />
void f()<br />
{<br />
A* pa = new A;<br />
B* pb = new B;<br />
void* pv = dynamic_cast&lt;A*&gt;(pa);<br />
// pv 现在指向了一个类型为A的对象<br />
...<br />
pv = dynamic_cast&lt;B*&gt;(pb);<br />
// pv 现在指向了一个类型为B的对象<br />
}<br /></code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 05:04:10</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ae%89%e5%85%a8/" title="安全">安全</a>, <a href="https://www.iamivan.net/tag/%e7%b1%bb%e5%9e%8b/" title="类型">类型</a>, <a href="https://www.iamivan.net/tag/class/" title="class">class</a>, <a href="https://www.iamivan.net/tag/%e6%8c%87%e9%92%88/" title="指针">指针</a>, <a href="https://www.iamivan.net/tag/cast/" title="cast">cast</a>, <a href="https://www.iamivan.net/tag/static_cast/" title="static&lowbar;cast">static&lowbar;cast</a>, <a href="https://www.iamivan.net/tag/%e6%8c%87%e9%92%88%e5%bc%ba%e5%88%b6%e8%bd%ac%e6%8d%a2c-class/" title="指针强制转换c&plus;&plus;class">指针强制转换c&plus;&plus;class</a>, <a href="https://www.iamivan.net/tag/c-%e5%bc%ba%e5%88%b6%e8%bd%ac%e6%8d%a2/" title="c&plus;&plus; 强制转换">c&plus;&plus; 强制转换</a>, <a href="https://www.iamivan.net/tag/const_cast/" title="const&lowbar;cast">const&lowbar;cast</a>, <a href="https://www.iamivan.net/tag/dynamic_cast/" title="dynamic&lowbar;cast">dynamic&lowbar;cast</a>, <a href="https://www.iamivan.net/tag/c-%e6%8c%87%e9%92%88%e6%80%bb%e7%bb%93/" title="C&plus;&plus;指针总结">C&plus;&plus;指针总结</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>C++中强制转换函数总结的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zO9Zv3M.html" rel="bookmark">linux中字符串转换函数 simple&lowbar;strtoul【转】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转自:http://blog.csdn.net/tommy_wxie/article/details/7480087 Linux内核中提供的一些字符串转换函数: lib/vsprintf.c [html] view plain copy print? 1. unsigned long long simple_strtoull(const char *cp, char **endp, unsigned int base) 2. unsigned long simple_strtoul(const			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MArRV2p.html" rel="bookmark">link中对一个变量可以强制转换，那么能不能强制转换一个函数为静态函数？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 link中对一个变量可以强制转换,那么能不能强制转换一个函数为静态函数? link中对一个变量可以强制转换,那么能不能强制转换一个函数为静态函数? 解决方案 你也太任性了.变量可以强制转换,那函数就可以转换啊. 面包可以吃,那秤砣也可以吃啊.什么逻辑?			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MR1L2eb.html" rel="bookmark">C&plus;&plus;中Operator类型强制转换成员函数解析&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				类型转换操作符(type conversion operator)是一种特殊的类成员函数,它定义将类类型值转变为其他类型值的转换.转换操作符在类定义体内声明,在保留字 operator 之后跟着转换的目标类型.转换函数又称类型强制转换成员函数,它是类中的一个非静态成员函数.它的定义格式如下: 复制代码 代码如下: class &lt;类型说明符1&gt; { public: operator &lt;类型说明符2&gt;(); - } 这个转换函数定义了由&lt;类型说明符1&gt;到&lt;类型说明符2			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MA7LAJz.html" rel="bookmark">【整理】为什么在C&sol;C&plus;&plus;中总是对malloc的返回值进行强制转换</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				============= 文章1 ================         首先要说的是,使用 malloc 函数,请包含 stdlib.h(C++ 中可以是 cstdlib),而不是 malloc.h .因为 malloc.h 从来没有在 C 或者 C++ 标准中出现过!因此并非所有编译器都有 malloc.h 这个头文件.但是所有的 C 编译器都应该有 stdlib.h 这个头文件.   在 C++ 中,强制转换 malloc() 的返回值是必须的,否则不能通过编译. 在 C 中,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPBYllb.html" rel="bookmark">机房收费系统：（二）VB中强制大小写转换和记录集操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.VB中大小写的转换      VB中自带字母大小写转换函数LCase和UCase.      格式:UCase(任何有效的string或char表达式),UCase(string),U就是upper的意思,就是变大:相反的就是,LCase(任何有效的string或char表达式)函数,就是转换成小写字符,用法同理,不再累述.      说明:   (1)参数必选项,可为任意有效的字符或者表达式.                    (2)如果 string 参数中包含 Null,则返回 N			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAkX1vz.html" rel="bookmark">如何在C&plus;&plus;中通过模板去除强制转换&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C++与C语言相比是一个强类型语言,即对数据类型的匹配程度较C更为严格,这有助于避免程序员在编程过程中由于粗心所犯之错.由于历史原因,C++中仍保留了reinterpret_ cast.static_cast等用于强制类型转换的关键字,但从语言向强类型发展的趋势来看,我们在编程工作中应尽量少使用强制类型转换,模板有助于我们实现这一目的.减少使用强制类型转换的另一个好处,是程序的可维护性更强. 下面让我们通过例子来了解如何通过模板减少程序中的强制转换.图1以简化的形式示例了双向链表(Double-			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp574ab.html" rel="bookmark">时间类型的转换&comma;SQL中CONVERT转化函数的用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				函数|转换 SQL中CONVERT转化函数的用法 格式:CONVERT(data_type,expression[,style]) 说明:此样式一般在时间类型(datetime,smalldatetime)与字符串类型(nchar,nvarchar,char,varchar)相互转换的时候才用到. 例子:SELECT CONVERT(varchar(30),getdate(),101) now结果为:now---------------------------------------|09/15			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBZGo4b.html" rel="bookmark">c&plus;&plus;-C&plus;&plus;中的强制转换&lpar;unsigned int&rpar;&amp;amp&semi;amp&semi;amp&semi;是什么意思啊？？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C++中的强制转换(unsigned int)&amp;是什么意思啊?? 在C++中的这段代码是什么意思?? int main (void) { using namespace std; int i; int m = (unsigned int)&amp;i; //这里的&amp;符号是神马意思啊???? cout &lt;&lt; sizeof(st1) &lt;&lt; &quot;&quot; &quot;&quot; &lt;&lt; sizeof(st2) &lt;&lt; &quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXw5O4M.html" rel="bookmark">c&plus;&plus; 强制转换-64位linux中long和int之间的转换</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 64位linux中long和int之间的转换 强制转换不是不可以,只是我在Makefile中加了编译选项,是不允许强制转换的 现在唯一想到的办法就是用位运算 我大概是这样写的 long s = 123; int i = 0xffffffff ; int j = i &amp; s; //这里的s得看机器的大端法还是小端法,必要的时候需要移位 但这样写还是不行 int j = i &amp; s; 还是有问题,因为不允许强制转换... - -! 请问有人能告诉我该怎么办么..(能否将long的前/			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMggvOM.html" rel="bookmark" class="title">瞧-&amp;amp&semi;gt&semi;</a>
					<div>
						    [SSL(安全套层)协议]:   SSL是一种在Web服务协议 (HTTP) 和 TCP/IP 之间提供数据连接安全性的协议.这种安全性协议被称为安全套接字层-Security Socket  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnVxZp.html" rel="bookmark" class="title">Fireworks中印章的制作</a>
					<div>
						近期,不断有朋友询问古印章效果的制作方法,试着做了一个效果图,感觉还不错,下面就拿出来同大家一起来学习一下制作方法. 第一步:打开FW,新建文件,宽高均为100像素,背景色采用白色. 第二步:选取工具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaZZ2M.html" rel="bookmark" class="title">代码触发js事件示例应用</a>
					<div>
						 Chrome , Firfox 不支持fireEvent的方法可以使用dispatchEvent的方法替代,直接给一个兼容的Code,下面有个不错的示例,喜欢的朋友可以收藏下 Chrome , Fi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPJ5BM.html" rel="bookmark" class="title">Lua判断数据类型的方法</a>
					<div>
						  这篇文章主要介绍了Lua判断数据类型的方法,本文讲解了判断数据类型的方法和Lua脚本语言的8种基本数据类型,需要的朋友可以参考下 一.判断数据类型的方法 type(xxxx) 这个函数的返回值是s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYAD0M.html" rel="bookmark" class="title">PhotoShop磨皮调色教程</a>
					<div>
						PhotoShop磨皮调色教程 ,先看看原图. PhotoShop磨皮调色效果图 PhotoShop磨皮调色教程第一步.打开原图,复制一层,建一个色阶调整层,纠正图片的明暗. 参数如下: 得到效果如下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8540p.html" rel="bookmark" class="title">在Windows下使用ffmpeg分割视频方法</a>
					<div>
						  和ubuntu下一样,分割视频时都需执行下面的命令,不过windows下需要安装配置ffmpeg才能使用. ffmpeg -ss 01:00:00 -i input_file_h264.mp4 - ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YYAgM.html" rel="bookmark" class="title">实例-Android 与蓝牙键盘两种方式都连接不上，可是与hc06可以连接，uuid的问题还是其他问题</a>
					<div>
						问题描述 Android 与蓝牙键盘两种方式都连接不上,可是与hc06可以连接,uuid的问题还是其他问题 class ItemClickEvent implements AdapterView.On ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPP2x8p.html" rel="bookmark" class="title">table-mxgraph 流程图缩放 不一致</a>
					<div>
						问题描述 mxgraph 流程图缩放 不一致 mxgraph 流程图缩放 矩形跟table缩放不一致时怎么回事? 矩形上面有table 一起缩放table会先缩放而矩形后缩放两个不一致?求解					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrLq5M.html" rel="bookmark" class="title">javascript-javaScript中返回true和false的问题，求大神解答！！</a>
					<div>
						问题描述 javaScript中返回true和false的问题,求大神解答!! &lt;%-- Created by IntelliJ IDEA. User: TopbeCoder5 Date: 20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7dVXz.html" rel="bookmark" class="title">一篇笔记整理JVM工作原理</a>
					<div>
						首先要了解的 &gt;&gt;数据类型 Java虚拟机中,数据类型可以分为两类:基本类型和引用类型. 基本类型的变量保存原始值,即:他代表的值就是数值本身:而引用类型的变量保存引用值. &quot;引 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNAeVz.html" rel="bookmark" class="title">argc-使用CCLabelBMFont中文显示</a>
					<div>
						问题描述 使用CCLabelBMFont中文显示 国外的项目,现在要把英文翻译成中文,自己生成的.fnt文件替换进去后, 线程到这里跑死 int retVal = UIApplicationMain( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQe2qp.html" rel="bookmark" class="title">DLL中传递STL参数</a>
					<div>
						以下是自己在调测代码过程出现问题后,搜索出来的资料,虽然很乱,但明白了在跨DLL传递stl中的容器类对象时存在问题的原因及解决办法,故保存之. STL跨平台调用会出现很多异常,你可以试试. STL使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKWwLb.html" rel="bookmark" class="title">Docker Container同时启动多服务</a>
					<div>
						Docker Container同时启动多服务 转载请注明来自:http://blog.csdn.net/wsscy2004 昨天踩了个天坑,我有一个基本的镜像centos6.5+ssh,是通过Doc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRZ2Nb.html" rel="bookmark" class="title">网页设计DIV&plus;CSS&mdash;&mdash;第5天&colon;head区的其他设置</a>
					<div>
						这些技巧主要讲meta标签设置的,其实与符合web标准关系不大,只要注意在最后加&quot;/&quot;关闭标签就可以,但是既然是入门教程,就写得详细一点吧. 收藏夹小图标 如果你将本站加入收藏夹, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkPo0M.html" rel="bookmark" class="title">ST轻骑重组方案被否并非意外？</a>
					<div>
						ST轻骑(600698.SH)近日公告称,公司与长安进行重大资产置换的议案在3月22日举行的股东大会上未获通过.这意味着大股东兵装集团在去年9月份拿出的重组计划折戟. 作为早就承诺的股改方案,已经获得 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkZ7qM.html" rel="bookmark" class="title">美国国防部&OpenCurlyDoubleQuote;黑掉空军&rdquo;漏洞奖励计划即将启动</a>
					<div>
						  雷锋网(公众号:雷锋网)消息,据外媒 the Hacker News 报道,近日,美国国防部(DoD)宣布,在去年成功举办&quot;Hack the Pentagon&quot;和&quot;H ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgwALM.html" rel="bookmark" class="title">求教多线程问题</a>
					<div>
						问题描述 我在写一个winform程序,点button1会循环调用别的project的程序,运行大约几分钟,现在想要加一个button2,终止button1的程序运行,多线程应该可以解决这个问题..我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYN4B9p.html" rel="bookmark" class="title">JavaWeb工程中集成YMP框架快速上手&lowbar;java</a>
					<div>
						了解YMP框架 YMP于2014年10月25日正式发布1.0版本,在此之前就已在实际项目中得到广泛使用,从最初仅限团队内部使用,到合作伙伴的开发团队,再到身边的朋友,和朋友的朋友们也开始将YMP投入到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2Zdkz.html" rel="bookmark" class="title">解析使用jdbc&comma;hibernate处理clob&sol;blob字段的详解&lowbar;java</a>
					<div>
						(1)不同数据库中对应clob,blob的类型:mysql中 : clob对应text  blob对应blobdb2/oracle中 clob对应clob blob对应blob (2)domain中对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVyZaz.html" rel="bookmark" class="title">使用coffeescript编写node&period;js项目的方法汇总&lowbar;javascript技巧</a>
					<div>
						Node.js 基于JavaScript编写应用,JavaScript是我的主要开发语言.CoffeeScript是编译为JavaScript的编程语言.其实CoffeeScript语言因其可以一对一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOY27b.html" rel="bookmark" class="title">往光标所在位置插入值的js代码&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: &lt;pre name=&quot;code&quot; class=&quot;javascript&quot;&gt;/** *往输入域中插入字符串(光标所在位置) *@p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkxJBp.html" rel="bookmark" class="title">男人十大土的掉渣的行为&lowbar;经典网摘</a>
					<div>
						1.照相时做V字形手势:天啊,救救这个老土的人吧!哪怕你站得像一截木桩呢.  2.偶像崇拜:已经没有偶像了,只有&quot;呕吐的对象&quot;.  3.千万不要用手绢,这比当街裸奔还丢人.有汗就往 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2qVoz.html" rel="bookmark" class="title">移动web app开发-----application cache 离线缓存原理篇</a>
					<div>
						                  上篇文章中写了appcache的manifest文件如何书写,appcache的类型和状态,下面我们通过这篇文章来学习下appcache的下载和更新机制. 浏览器自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrB0Op.html" rel="bookmark" class="title">黑龙江网民散布网络谣言被拘</a>
					<div>
						新华网哈尔滨1月21日电(记者 李建平)记者21日从http://www.aliyun.com/zixun/aggregation/30914.html&quot;&gt;黑龙江省密山市政府获悉,当地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA6wOKp.html" rel="bookmark" class="title">像租自行车一样租电动汽车</a>
					<div>
						租赁电动汽车的好处,除了免去购买成本之外,还把养车.保险.保养.年检.充电这些&quot;包袱&quot;统统丢给了汽车租赁公司,车型还可随意更换. 本刊记者 倪轶容 &quot;以后,年轻人都不用买 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXdoAAp.html" rel="bookmark" class="title">如何避免云计算建设信息孤岛&quest;</a>
					<div>
						企业信息化建设过程中,信息孤岛最令企业IT部门头疼.信息孤岛让企业部门之间或者部署在企业内部的IT系统之间的信息不能互通,从而影响了IT系统的应用效果.而信息孤岛之所以存在,主要原因是信息系统建设之初 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBy76dz.html" rel="bookmark" class="title">伟库全程电子商务 启动娃娃堂的网上生意经</a>
					<div>
						娃娃堂儿童摄影公司成立于2010年3月1日,是由安家儿童摄影和小飞摄影工作室合并而成,两位合伙人都有着不同的特点,安总精于营销,有着丰富的销售经验,萧总善于管理,曾在多家大型企业任职,并且,萧总的摄影 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLJrLAb.html" rel="bookmark" class="title">【市值】苹果正式超越埃克森美孚成全球市值最大企业</a>
					<div>
						苹果周三股价走势图 http://www.aliyun.com/zixun/aggregation/9561.html&quot;&gt;埃克森美孚周三股价走势图 新浪科技讯 北京时间8月11日凌晨消 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr7kQ1p.html" rel="bookmark" class="title">央视315晚会曝光品友互动偷窃网民隐私</a>
					<div>
						挖贝网讯 3月15日晚消息,央视315晚会报道称,网络广告公司品友互动偷窃网民隐私.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDjGRlM.html" rel="bookmark" class="title">2008广州国际模具展九月启动</a>
					<div>
						第二届广州国际模具应用与设计及制造技术展览会将于08年9月24-26日再度于广州国际会议展览中心隆重举行.该展会由广州光亚法兰克福展览公司主办,合作单位包括德国DEMAT展览公司及香港模具协会. 据主 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
